libzypp 17.37.10

zypp::ui::SelectableTraits::IOrder Struct Reference

Oder on InstalledItemSet. More...

`#include <zypp/ui/SelectableTraits.h>`

## Public Member Functions
bool | operator() (const PoolItem &lhs, const PoolItem &rhs) const

## Detailed Description

Oder on InstalledItemSet.

- best Arch
- best Edition
- newer install time
- ResObject::constPtr as fallback.

Definition at line 94 of file SelectableTraits.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ui::SelectableTraits::IOrder::operator() | ( | const PoolItem & | lhs,
|  | const PoolItem & | rhs ) const
| inline

Definition at line 100 of file SelectableTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelectableTraits.h